post
https://services.azuga.com/azuga-ws-oauth/v3/users.json
Use this API to view the account information of drivers. Driver accounts are also considered as user accounts with limited access to the application.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/users?limit=2&offset=1&userType=driver
API Response Explanation
| Field | Description | Data Type |
|---|---|---|
| id | Unique identifier assigned to the associated user. | String |
| firstName | First name of the user | String |
| lastName | Last name of the user | String |
| Email address associated to the user account. | String | |
| primaryContactNumber | Main contact number of the associated user. | String |
| alternateContactNumber | Alternate contact number of the associated user. | Long |
| roleId | Role ID assigned to the current user account which is assigned according to the role of the user. | String |
| userName | The username of the account | String |
| password | The password used by the user account. | String |
| pin | The pin set by the user to password protect the device. | String |
| isGetMaintenanceAlert | Boolean value denoting whether the maintenance alert package is enabled or not for the user. | String |
| isGetNewReleaseAlert | Boolean value denoting whether the new release alert package is enabled or not for the user. | String |
| customerId | Unique identifier of customer ID that the user is associated to. | Long |
| createdBy | The user account which created the current user. | String |
| lastModifiedBy | The user who made the last modification to the associated user account. | String |
| userType | The types of users available on Azuga application. Each user type has an exclusive identifier assigned to them. They are:
| Object |
| lastModifiedAt | The time stamp at which last modification was made to the user account. | Timestamp |
| deleted | Boolean value represents the delete status of the user
| boolean |
| timeZone | Local timezone of the driver | String |
| deletedAt | For internal Azuga use | Timestamp |
| apiKey | The unique code that is passed in to the API to identify the calling user. | String |
| lastLoginDateTime | Time stamp at which last login was made by the user account. | Timestamp |
| licenseNumber | Licence number linked with the user account(Driver). | String |
| licenseIssuedDate | The issue date of the user's license. | Date |
| licenseExpiry | The date on which the user's licence will expire. | Date |
| licenseIssuedState | The state from which the user's licence has been issued from. | String |
| profilepicUrl | The URL of the profile picture | String |
| emailVerification | Boolean value denoting whether the email account linked to the user account has been verified. | boolean |
| userDetails | Details of the user account. | Object |
| vehicleId | Vehicle ID associated with the user account | String |
| vehicleName | Name of the vehicle associated with the user account. | String |
| fromDeleteDevice | For internal Azuga use | boolean |
| fullName | The full name of the user i.e. combination of the first name and last name. | String |
| tags | The tags associated with the users | String |
| userTagsAssociated | For internal Azuga use | List<String> |
| userTagsNames | For internal Azuga use | List<String> |
| roleName | The role assigned to the associated user. | String |
| adminingGroups | The groups administered by the associated user. | List<GroupIdNameVO> |
| countryId | The ID of the country to which the associated user belongs to. | Integer |
| groupIdsAndNames | The group IDs and names which are linked with the user. | List<GroupIdNameVO> |
| userTypeName | The type of user associated with the account. | String |
| userTypeId | The unique identifier assigned to each user type. The ID designated to each user type are:
| Integer |
| enabledPackageNames | The list of packages enabled for the associated user account. | String |
| pairingTypeId | The types of pairing method available on Azuga application. Each pairing method has a unique identifier assigned to them. They are:
| Integer |
| pairingType | The pairing method used to associate the device to the user profile. | String |
| nodeTableCreated | For internal Azuga use | Boolean |
| employeeId | The employee ID linked to the user account. | String |
| serviceHour | The number of hours the associated user needs to complete. | Boolean |
| dispatchNumber | The unique number of the package being dispatched. | String |
| dispatchStatus | The latest status of the package being dispatched. | String |
| dispatchRedirectURL | For internal Azuga use | String |
| notInGroup | Boolean value denoting whether the current user account is linked to any group. | boolean |
| pageName | Name of the page. | String |
| pageId | The unique identifier of the different modules of web page. You can select a module from the Azuga web app to exclusively appear as the home page for a particular users. The modules are represented by the following code:
| Long |
| pageUrl | URL of the displayed page. | String |
| groupIds | List of group IDs to which the user account has been assigned to. | List<String> |
| String | ||
| groupNames | List of group names to which the user is assigned to. | String |
| userDocumentList | The list of document names saved by the user. | List<UserDocument> |
| userDocsDeleted | The list of documents the associated user has deleted. | List<String> |
| userDocs | The object which consists of all metadata of the docs which the current user account has stored in the server. | String |
| uploadType | The media type of the uploaded file. | List<String> |
| userDocURIs | The URL of user documents where the user documents have been stored. | List<String> |
| notLoggedinHasAccessToGroup | The list of group the associated user has acces to without logging in. | Boolean |
| fuelCardNumber | The fuel card number linked to the current user account. | String |
| plainPassword | The decrypted password set by the user. | String |
| useDefaultRole | Boolean value representing whether the role of the driver is assigned with a default one at the time of driver creation | Boolean |
| useDefaultGroup | Boolean value representing whether the group of the driver is assigned with a default one at the time of driver creation | Boolean |
| fetchCompleteResponse | For internal Azuga use | Boolean |
| adminUserId | The user ID of the admin to which the user account is linked to. | String |
| node | For internal Azuga use | String |
| loginPwdOption | For internal Azuga use | Short |
| prevLastLoginDateTime | For internal Azuga use | Timestamp |
| elogVistrack | Boolean representing the Vistrack package is enabled for the driver | Boolean |
| ssouser | For internal Azuga use | Boolean |

